
/*
 * libgnet - game net library
 * Copyright (C) 1997 Indrek Mandre 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include "gnet.h"
#include "gnet-local.h"

int GN_serv_send_data ( GN_client *cli, void *data, int len )
{
 return send ( cli->tcpsocket, data, len, 0 );
}

int GN_serv_send_udp_data ( GN_client *cli, void *data, int len )
{
 return sendto ( cli->udpsocket, data, len, 0, (struct sockaddr *)cli->udpaddress, sizeof ( struct sockaddr_in ) );
}

int GN_send_data ( GN_conn *to, void *data, int len )
{
 return send ( to->socket, data, len, 0 );
}

int GN_send_udp_data ( GN_conn *to, void *data, int len )
{
 return sendto ( to->udpsocket, data, len, 0, (struct sockaddr *)to->sendtoudp, sizeof ( struct sockaddr_in ) );
}

